Summary:     Spam detection and filtering network
Name:        razor-agents
Version:     2.67
Release:     4.pp
License:     Artistic
Group:       Applications/Internet
Source0:     http://download.sourceforge.net/sourceforge/razor/%{name}-%{version}.tar.gz
URL:         http://razor.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
BuildPrereq: gcc >= 2.96 perl /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: perl(Net::Ping) perl(Net::DNS) perl(Time::HiRes)
BuildPrereq: perl(Digest::SHA1) perl(Getopt::Long) perl(File::Copy)
BuildPrereq: perl(Digest::Nilsimsa) perl(URI::Escape)
ExclusiveOS: linux


%description
Vipul's Razor is a distributed, collaborative, spam detection
and filtering network. Through user contribution, Razor esta-
blishes a distributed and constantly updating catalogue of spam
in propagation that is consulted by email clients to filter out
known spam. Detection is done with statistical and randomized
signatures that efficiently spot mutating spam content. User
input is validated through reputation assignments based on
consensus on report and revoke assertions which in turn is used
for computing confidence values associated with individual sig-
natures.


%prep
%setup -q
find . -name "*.orig" -exec rm -f {} \;


%build
export CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL
make
make test


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	PREFIX=$RPM_BUILD_ROOT/usr \
	pure_install doc_install
for incl in `find $RPM_BUILD_ROOT/usr/lib/perl5/site_perl -type d | head -2`; do
   INCLUDEDIR="-I$incl $INCLUDEDIR"
done
perl -I`ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/*` $RPM_BUILD_ROOT/usr/bin/razor-client
find $RPM_BUILD_ROOT/usr/lib/perl5 -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-file
find $RPM_BUILD_ROOT/usr/lib/perl5 -name ".packlist" -exec rm -f {} \;
mv -f $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/usr/share/man


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS Changes CREDITS FAQ INSTALL MANIFEST README
/usr/bin/*
/usr/share/man/man1/*
/usr/share/man/man3/*
/usr/share/man/man5/*
/usr/lib/perl5/*


%changelog
* Mon Mar 14 2005 peter.pramberger@member.fsf.org
- new version 2.67

* Tue Sep 28 2004 peter.pramberger@member.fsf.org
- new version 2.61

* Fri Mar 19 2004 peter.pramberger@member.fsf.org
- new version 2.40
- amavisd-new untaint patch not longer needed

* Sun Dec 28 2003 peter.pramberger@member.fsf.org
- new version 2.36

* Sat Jul 19 2003 peter.pramberger@member.fsf.org
- created

